Bug 1379765 - Review Request: dolphin-emu - GameCube / Wii / Triforce Emulator
Summary: Review Request: dolphin-emu - GameCube / Wii / Triforce Emulator
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: MartinKG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-GAMESIG
TreeView+ depends on / blocked
 
Reported: 2016-09-27 15:29 UTC by Jeremy Newton
Modified: 2016-12-22 06:48 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-12-22 05:23:09 UTC
mgansser: fedora-review+


Attachments (Terms of Use)

Description Jeremy Newton 2016-09-27 15:29:59 UTC
I currently maintain dolphin in RPMFusion, but since the guidelines have loosened on emulators, I would like to move this into Fedora proper.

Spec URL: http://download1.rpmfusion.org/free/fedora/development/rawhide/Everything/source/SRPMS/d/dolphin-emu-5.0-4.fc25.src.rpm
SRPM URL: https://pkgs.rpmfusion.org/cgit/free/dolphin-emu.git/plain/dolphin-emu.spec
Description:
Dolphin is a Gamecube, Wii and Triforce (the arcade machine based on the
Gamecube) emulator, which supports full HD video with several enhancements such
as compatibility with all PC controllers, turbo speed, networked multiplayer,
and more.
Most games run perfectly or with minor bugs.
Fedora Account System Username: mystro256

Feel free to take a look at the cgit here:
https://pkgs.rpmfusion.org/cgit/free/dolphin-emu.git/

Note that the fedora 23 and 24 specs will not include the curl 7.50 fix and acknowledge that I will need to fix the changelog as it incorrectly says "curl 7.5.0".

As well, note that I am bundling xxhash for the time being until Bug#1282063 is closed. As soon as that is closed, I will unbundle it from this package.

Some notes on the patches:
-mbedtls2.3 patch just adds a missing include, which is fixed upstream. I can add a note in the spec if it's deemed necessary.
-The "patch/fix" for curl is not applicable to upstream as the code has been reworked, thus I have not reported it upstream. I can also add a note if deemed necessary.
-I have reported upstream that the CMake files should add an option to use gtk3 instead of gtk2. Fedora's wxGTK3 is compiled against gtk3 opposed to Ubuntu and Debian, which are compiled against gtk2. Upstream rejected this report as they feel it's not necessary yet. So, the gtk3 patch just replaces the gtk2 CMake logic with a gtk3 equivalent.

Comment 1 Jeremy Newton 2016-09-27 15:40:31 UTC
I believe that dolphin-emu meets these qualifications
https://fedoraproject.org/wiki/Licensing:SoftwareTypes#Emulators

Tom's post in regard to this matter:
https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/message/OCIB2WAZ6DF3HJZV2OWYOTNRTUZZ6VRX/

Comment 2 Jeremy Newton 2016-12-06 04:49:22 UTC
Some updates:
-Fixed f26+ build (sed patch, upstream pull request included)
-Removed curl patch as it's not unnecessary (also fixed 7.50 typo)
-Clean up spec using macros
-Make use of %license macro

Spec URL: https://dl.dropboxusercontent.com/u/42480493/dolphin-emu.spec
SRPM URL: https://dl.dropboxusercontent.com/u/42480493/dolphin-emu-5.0-5.fc25.src.rpm

Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=16767110

Comment 3 MartinKG 2016-12-07 10:26:08 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file font-licenses.txt is not marked as %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text

==>> please include the file font-licenses.txt in %license
%license license.txt Data/Sys/GC/font-licenses.txt

please move the following lines for better readability below %install

%post
...

%postun
...

%posttrans


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "WTFPL WTFPL (v2)", "GPL (v2 or later)", "Unknown or
     generated", "MIT/X11 (BSD like)", "zlib/libpng", "GPL (v2 or later)
     (with incorrect FSF address)", "GPL (v2) (with incorrect FSF
     address)", "BSD (3 clause)", "BSD (2 clause)". 3191 files have unknown
     license. Detailed output of licensecheck in
     /home/martin/rpmbuild/SPECS/dolphin-emu/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[!]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
==>> Please do so. That's MUST.
https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#Multiple_Licensing_Scenarios

[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[-]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in dolphin-emu
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in dolphin-
     emu-nogui , dolphin-emu-debuginfo
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 6133760 bytes in /usr/share
==>> Please split package into e.q. a data subpackage.

[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: dolphin-emu-5.0-5.fc26.x86_64.rpm
          dolphin-emu-nogui-5.0-5.fc26.x86_64.rpm
          dolphin-emu-debuginfo-5.0-5.fc26.x86_64.rpm
          dolphin-emu-5.0-5.fc26.src.rpm
dolphin-emu.x86_64: W: spelling-error %description -l en_US multiplayer -> multiplier, multiplexer
dolphin-emu.src: W: spelling-error %description -l en_US multiplayer -> multiplier, multiplexer
4 packages and 0 specfiles checked; 0 errors, 2 warnings.


Rpmlint (debuginfo)
-------------------
Checking: dolphin-emu-debuginfo-5.0-5.fc26.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.


Rpmlint (installed packages)
----------------------------
dolphin-emu.x86_64: W: spelling-error %description -l en_US multiplayer -> multiplier, multiplexer
3 packages and 0 specfiles checked; 0 errors, 1 warnings.


Requires
--------
dolphin-emu (rpmlib, GLIBC filtered):
    /bin/sh
    hicolor-icon-theme
    libGL.so.1()(64bit)
    libGLU.so.1()(64bit)
    libSOIL.so.1()(64bit)
    libSoundTouch.so.1()(64bit)
    libX11.so.6()(64bit)
    libXext.so.6()(64bit)
    libXi.so.6()(64bit)
    libXrandr.so.2()(64bit)
    libao.so.4()(64bit)
    libao.so.4(LIBAO4_1.1.0)(64bit)
    libasound.so.2()(64bit)
    libasound.so.2(ALSA_0.9)(64bit)
    libasound.so.2(ALSA_0.9.0rc4)(64bit)
    libatk-1.0.so.0()(64bit)
    libbluetooth.so.3()(64bit)
    libc.so.6()(64bit)
    libcairo-gobject.so.2()(64bit)
    libcairo.so.2()(64bit)
    libcurl.so.4()(64bit)
    libdl.so.2()(64bit)
    libenet.so.7()(64bit)
    libevdev.so.2()(64bit)
    libevdev.so.2(LIBEVDEV_1)(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.4)(64bit)
    libgdk-3.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgtk-3.so.0()(64bit)
    liblzo2.so.2()(64bit)
    libm.so.6()(64bit)
    libmbedcrypto.so.0()(64bit)
    libmbedtls.so.10()(64bit)
    libmbedx509.so.0()(64bit)
    libminiupnpc.so.16()(64bit)
    libopenal.so.1()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpng16.so.16()(64bit)
    libpng16.so.16(PNG16_0)(64bit)
    libportaudio.so.2()(64bit)
    libpthread.so.0()(64bit)
    libpulse.so.0()(64bit)
    libpulse.so.0(PULSE_0)(64bit)
    librt.so.1()(64bit)
    libsfml-network.so.2.3()(64bit)
    libsfml-system.so.2.3()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.5)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    libudev.so.1()(64bit)
    libudev.so.1(LIBUDEV_183)(64bit)
    libusb-1.0.so.0()(64bit)
    libwx_baseu-3.0.so.0()(64bit)
    libwx_baseu-3.0.so.0(WXU_3.0)(64bit)
    libwx_gtk3u_adv-3.0.so.0()(64bit)
    libwx_gtk3u_adv-3.0.so.0(WXU_3.0)(64bit)
    libwx_gtk3u_aui-3.0.so.0()(64bit)
    libwx_gtk3u_aui-3.0.so.0(WXU_3.0)(64bit)
    libwx_gtk3u_core-3.0.so.0()(64bit)
    libwx_gtk3u_core-3.0.so.0(WXU_3.0)(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)

dolphin-emu-nogui (rpmlib, GLIBC filtered):
    libGL.so.1()(64bit)
    libGLU.so.1()(64bit)
    libSOIL.so.1()(64bit)
    libSoundTouch.so.1()(64bit)
    libX11.so.6()(64bit)
    libXext.so.6()(64bit)
    libXi.so.6()(64bit)
    libXrandr.so.2()(64bit)
    libao.so.4()(64bit)
    libao.so.4(LIBAO4_1.1.0)(64bit)
    libasound.so.2()(64bit)
    libasound.so.2(ALSA_0.9)(64bit)
    libasound.so.2(ALSA_0.9.0rc4)(64bit)
    libatk-1.0.so.0()(64bit)
    libbluetooth.so.3()(64bit)
    libc.so.6()(64bit)
    libcairo-gobject.so.2()(64bit)
    libcairo.so.2()(64bit)
    libcurl.so.4()(64bit)
    libdl.so.2()(64bit)
    libenet.so.7()(64bit)
    libevdev.so.2()(64bit)
    libevdev.so.2(LIBEVDEV_1)(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.4)(64bit)
    libgdk-3.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgtk-3.so.0()(64bit)
    liblzo2.so.2()(64bit)
    libm.so.6()(64bit)
    libmbedcrypto.so.0()(64bit)
    libmbedtls.so.10()(64bit)
    libmbedx509.so.0()(64bit)
    libminiupnpc.so.16()(64bit)
    libopenal.so.1()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpng16.so.16()(64bit)
    libpng16.so.16(PNG16_0)(64bit)
    libportaudio.so.2()(64bit)
    libpthread.so.0()(64bit)
    libpulse.so.0()(64bit)
    libpulse.so.0(PULSE_0)(64bit)
    librt.so.1()(64bit)
    libsfml-network.so.2.3()(64bit)
    libsfml-system.so.2.3()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.5)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    libudev.so.1()(64bit)
    libudev.so.1(LIBUDEV_183)(64bit)
    libusb-1.0.so.0()(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)

dolphin-emu-debuginfo (rpmlib, GLIBC filtered):

Provides
--------
dolphin-emu:
    application()
    application(dolphin-emu.desktop)
    bundled(xxhash)
    dolphin-emu
    dolphin-emu(x86-64)

dolphin-emu-nogui:
    dolphin-emu-nogui
    dolphin-emu-nogui(x86-64)

dolphin-emu-debuginfo:
    dolphin-emu-debuginfo
    dolphin-emu-debuginfo(x86-64)


Source checksums
----------------
https://github.com/dolphin-emu/dolphin/archive/5.0.tar.gz :
  CHECKSUM(SHA256) this package     : 62c4602055767ab314ff50a3b94ea57f792832aa1629e6b1117ebce10518dc0b
  CHECKSUM(SHA256) upstream package : 62c4602055767ab314ff50a3b94ea57f792832aa1629e6b1117ebce10518dc0b


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -rn ../SRPMS/dolphin-emu-5.0-5.fc25.src.rpm
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 4 Jeremy Newton 2016-12-07 18:48:22 UTC
(In reply to MartinKG from comment #3)
> Package Review
> ==============
> 
> Legend:
> [x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
> [ ] = Manual review needed
> 
> 
> Issues:
> =======
> - If (and only if) the source package includes the text of the license(s)
>   in its own file, then that file, containing the text of the license(s)
>   for the package is included in %license.
>   Note: License file font-licenses.txt is not marked as %license
>   See:
>   http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text
> 
> ==>> please include the file font-licenses.txt in %license
> %license license.txt Data/Sys/GC/font-licenses.txt
> 
> please move the following lines for better readability below %install
> 
> %post
> ...
> 
> %postun
> ...
> 
> %posttrans
> 
> 
> ===== MUST items =====
> 
> C/C++:
> [x]: Package does not contain kernel modules.
> [x]: Package contains no static executables.
> [x]: Header files in -devel subpackage, if present.
> [x]: Package does not contain any libtool archives (.la)
> [x]: Rpath absent or only used for internal libs.
> 
> Generic:
> [x]: Package is licensed with an open-source compatible license and meets
>      other legal requirements as defined in the legal section of Packaging
>      Guidelines.
> [!]: License field in the package spec file matches the actual license.
>      Note: Checking patched sources after %prep for licenses. Licenses
>      found: "WTFPL WTFPL (v2)", "GPL (v2 or later)", "Unknown or
>      generated", "MIT/X11 (BSD like)", "zlib/libpng", "GPL (v2 or later)
>      (with incorrect FSF address)", "GPL (v2) (with incorrect FSF
>      address)", "BSD (3 clause)", "BSD (2 clause)". 3191 files have unknown
>      license. Detailed output of licensecheck in
>      /home/martin/rpmbuild/SPECS/dolphin-emu/licensecheck.txt
> [x]: License file installed when any subpackage combination is installed.
> [!]: If the package is under multiple licenses, the licensing breakdown
>      must be documented in the spec.
> ==>> Please do so. That's MUST.
> https://fedoraproject.org/wiki/Packaging:
> LicensingGuidelines#Multiple_Licensing_Scenarios

Sounds good, I've updated the SPEC. I'm not sure what's picking up the WTFPL as I'm pretty confident there's no WTFPL licensed code in there: likely a false positive. As well, it seems the public domain code was removed in 5.0, while some zlib and MIT was added.

Updated SPEC (no rel bump, i'll do this after fixing the noarch subpackages):
https://dl.dropboxusercontent.com/u/42480493/dolphin-emu.spec

> ===== EXTRA items =====
> 
> Generic:
> [!]: Large data in /usr/share should live in a noarch subpackage if package
>      is arched.
>      Note: Arch-ed rpms have a total of 6133760 bytes in /usr/share
> ==>> Please split package into e.q. a data subpackage.
> 

I'll look into this when I get home tonight. In hindsight, I'm pretty sure there should be a data subpackage and a data-gui subpackage, as nogui probably needs some of the files from %{_datadir}/%{name}. I'll also throw the icon and desktop files into data-gui too for good measure.

Thanks!

Comment 5 Jeremy Newton 2016-12-08 04:55:58 UTC
I've added the data subpackage, but decided against the data-gui package, as the desktop file should be with the binary and the gui specific files in %{_datadir}/%{name} are small (< 250 KB).

Let me know if you see any other issues:

Spec URL: https://dl.dropboxusercontent.com/u/42480493/dolphin-emu.spec
SRPM URL: https://dl.dropboxusercontent.com/u/42480493/dolphin-emu-5.0-6.fc25.src.rpm

Comment 6 MartinKG 2016-12-08 10:28:49 UTC
please don't forget to mark the file font-licenses.txt as %license in the final package.

Package APPROVED

Issues:
=======
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file font-licenses.txt is not marked as %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text

Comment 7 Jeremy Newton 2016-12-08 18:48:30 UTC
(In reply to MartinKG from comment #6)
> please don't forget to mark the file font-licenses.txt as %license in the
> final package.
> 
> Package APPROVED
> 
> Issues:
> =======
> - If (and only if) the source package includes the text of the license(s)
>   in its own file, then that file, containing the text of the license(s)
>   for the package is included in %license.
>   Note: License file font-licenses.txt is not marked as %license
>   See:
>   http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text

Thanks! I'll make sure I include that before importing

Comment 8 Gwyn Ciesla 2016-12-09 13:12:16 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/dolphin-emu

Comment 9 Fedora Update System 2016-12-09 16:47:46 UTC
dolphin-emu-5.0-6.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-acb06a4eb7

Comment 10 Fedora Update System 2016-12-09 16:47:54 UTC
dolphin-emu-5.0-6.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d1c2315e97

Comment 11 Fedora Update System 2016-12-10 03:59:19 UTC
dolphin-emu-5.0-6.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-acb06a4eb7

Comment 12 Fedora Update System 2016-12-10 04:29:22 UTC
dolphin-emu-5.0-6.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d1c2315e97

Comment 13 Fedora Update System 2016-12-10 06:50:16 UTC
dolphin-emu-5.0-7.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-445d5858db

Comment 14 Fedora Update System 2016-12-10 06:50:24 UTC
dolphin-emu-5.0-7.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-54c2c61f57

Comment 15 Fedora Update System 2016-12-11 03:29:57 UTC
dolphin-emu-5.0-7.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-445d5858db

Comment 16 Fedora Update System 2016-12-11 03:58:23 UTC
dolphin-emu-5.0-7.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-54c2c61f57

Comment 17 Fedora Update System 2016-12-22 05:23:09 UTC
dolphin-emu-5.0-7.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2016-12-22 06:48:38 UTC
dolphin-emu-5.0-7.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.